Package org.eclipse.net4j.spi.db.ddl

# Interface InternalDBTable

All Superinterfaces:
  `Comparable<IDBSchemaElement>`, `org.eclipse.net4j.util.container.IContainer<IDBSchemaElement>`, `IDBElement`, `IDBNamedElement`, `IDBSchemaElement`, `IDBTable`, `org.eclipse.net4j.util.event.INotifier`, `InternalDBElement`, `InternalDBNamedElement`, `InternalDBSchemaElement`

public interface InternalDBTable extends IDBTable, InternalDBSchemaElement

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

`IDBSchemaElement.SchemaElementType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IDBField[]`
`NO_FIELDS`
`static final IDBIndex[]`
`NO_INDICES`

## Method Summary

Modifier and Type
Method
Description
`IDBTable`
`getWrapper()`
`void`
`removeField(IDBField fieldToRemove)`
`void`
`removeIndex(IDBIndex indexToRemove)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

`accept, getElement, getFullName, getSchema, getSchemaElementType, remove, setName`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBTable

`addField, addField, addField, addField, addField, addField, addIndex, addIndex, addIndex, addIndex, addIndexEmpty, addIndexEmpty, getField, getField, getFieldCount, getFields, getFields, getFieldSafe, getIndex, getIndex, getIndexCount, getIndexSafe, getIndices, getParent, getPrimaryKeyIndex, hasIndexFor, sqlInsert`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBNamedElement

`dump, dump, dumpToString, setName`

### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBSchemaElement

`setWrapper`

## Field Details

### NO_FIELDS

static final IDBField[] NO_FIELDS

### NO_INDICES

static final IDBIndex[] NO_INDICES

## Method Details

### getWrapper

IDBTable getWrapper()

Specified by:
  `getWrapper` in interface `InternalDBSchemaElement`

### removeField

void removeField(IDBField fieldToRemove)

### removeIndex

void removeIndex(IDBIndex indexToRemove)